/* MasC interpreter/compiler
   (Master Assembly Script Container)
   written by Jared Bruni
   
   After reading Writing Compilers and Interpreters A approach using C++ by Ronald Mak
   and the Dragon Book
   code completly re-written but using concepts teached in this book
*/

// debug information header file


#ifndef _debugInfo_H_
#define _debugInfo_H_

#include "backend.h"


void printDebugInfo(char *debug_file, struct BackEnd *bend, struct Token *tokens);
char *getReservedCodeName(char code);
char *getSymbolCodeName(enum var_type vcode);


#endif

// do do do say you want a *********
